// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

// tslint:disable
/**
 * eGesetzgebung Platform
 * This is the rest interface offered by the eGesetzgebung Platform backend.  Please provide __JW Access Token__ using button \'Authorize\' to access protected endpoints. Use the following instructions to get token:  1. on CMD/Bash/Terminal: ```curl -d \"client_id=user-management\" -d \"client_secret=INSERT_IAM_SECRET\" -d \"grant_type=password&username=INSERT_USER_EMAIL&password=INSERT_USER_PASSWORD\" \"INSERT_IAM_URL/realms/bund/protocol/openid-connect/token\"``` 2. copy access_token (without quotes, you can use jq or other tools to extract this value automatically) 3. insert value into \'JWToken\' field under \'Authorize\' and press \'Authorize\' 4. now you should have access to user protected endpoint  __FYI:__ token expires after 60 seconds. On non-production systems only a warning is displayed so you can work smoothly, but on production systems you have to frequently provide a new token.
 *
 * The version of the OpenAPI document: 9.0.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

/**
 * 
 * @export
 * @enum {string}
 */
export enum ZeitplanungsvorlagenBauplan {
    GVorphase = 'G_VORPHASE',
    GKonzeptionelleUeberlegungen = 'G_KONZEPTIONELLE_UEBERLEGUNGEN',
    GPruefungDerPolitischenInhaltlichenUndZeitlichenRahmenbedingungen = 'G_PRUEFUNG_DER_POLITISCHEN_INHALTLICHEN_UND_ZEITLICHEN_RAHMENBEDINGUNGEN',
    GPruefungVonRegelungsalternativen = 'G_PRUEFUNG_VON_REGELUNGSALTERNATIVEN',
    GPruefungVonGesetzesfolgenInklErfuellungsaufwand = 'G_PRUEFUNG_VON_GESETZESFOLGEN_INKL_ERFUELLUNGSAUFWAND',
    GErgaenzungDerVorhabenplanungDerBreg = 'G_ERGAENZUNG_DER_VORHABENPLANUNG_DER_BREG',
    GErstellungDesReferentenentwurfs = 'G_ERSTELLUNG_DES_REFERENTENENTWURFS',
    GHausabstimmung = 'G_HAUSABSTIMMUNG',
    GBeteiligungOrganisatorischUndFachlichBetroffenerReferate = 'G_BETEILIGUNG_ORGANISATORISCH_UND_FACHLICH_BETROFFENER_REFERATE',
    GEroerterungUndUmsetzungDerAenderungswuensche1 = 'G_EROERTERUNG_UND_UMSETZUNG_DER_AENDERUNGSWUENSCHE_1',
    GBefassungHausleitung = 'G_BEFASSUNG_HAUSLEITUNG',
    GVersandDesHausentwurfsAnHausleitung = 'G_VERSAND_DES_HAUSENTWURFS_AN_HAUSLEITUNG',
    GGgfVorabunterrichtungDerKoalitionsfraktionen = 'G_GGF_VORABUNTERRICHTUNG_DER_KOALITIONSFRAKTIONEN',
    GRessortabstimmungUndWeitereBeteiligungen = 'G_RESSORTABSTIMMUNG_UND_WEITERE_BETEILIGUNGEN',
    GRechtzeitigeBeteiligungDerBetroffenenInstitutionen = 'G_RECHTZEITIGE_BETEILIGUNG_DER_BETROFFENEN_INSTITUTIONEN',
    GBeachtungDerVorhabenplanungDerBundesregierung = 'G_BEACHTUNG_DER_VORHABENPLANUNG_DER_BUNDESREGIERUNG',
    GBeteiligungDerLaenderDerKommunalenSpitzenverbaendeDerFachkreise = 'G_BETEILIGUNG_DER_LAENDER_DER_KOMMUNALEN_SPITZENVERBAENDE_DER_FACHKREISE',
    GKenntnisgabeDesEntwurfsAnDieGeschaeftsstellenDerFraktionenDesDeutschenBundestagesUndDesBundesrates = 'G_KENNTNISGABE_DES_ENTWURFS_AN_DIE_GESCHAEFTSSTELLEN_DER_FRAKTIONEN_DES_DEUTSCHEN_BUNDESTAGES_UND_DES_BUNDESRATES',
    GEroerterungUndUmsetzungDerAenderungswuensche2 = 'G_EROERTERUNG_UND_UMSETZUNG_DER_AENDERUNGSWUENSCHE_2',
    GKabinettvorlage = 'G_KABINETTVORLAGE',
    GVorbereitungDerKabinettvorlage = 'G_VORBEREITUNG_DER_KABINETTVORLAGE',
    GVorlageDerNotwendigenDokumenteAufDienstwegAnHausleitung = 'G_VORLAGE_DER_NOTWENDIGEN_DOKUMENTE_AUF_DIENSTWEG_AN_HAUSLEITUNG',
    GUebersendungDerKabinettvorlageAnDenChefbk = 'G_UEBERSENDUNG_DER_KABINETTVORLAGE_AN_DEN_CHEFBK',
    GPruefungDerKabinettvorlageDurchBkamtUndAndereRessort = 'G_PRUEFUNG_DER_KABINETTVORLAGE_DURCH_BKAMT_UND_ANDERE_RESSORT',
    GKabinettbeschluss = 'G_KABINETTBESCHLUSS',
    GZuleitungAnBundesratDurchBkamt = 'G_ZULEITUNG_AN_BUNDESRAT_DURCH_BKAMT',
    GErsteBefassungBundesrat = 'G_ERSTE_BEFASSUNG_BUNDESRAT',
    GAnnahmeUndVerteilungGesetzentwurfBundesregierung = 'G_ANNAHME_UND_VERTEILUNG_GESETZENTWURF_BUNDESREGIERUNG',
    GAusschussverfahren1 = 'G_AUSSCHUSSVERFAHREN_1',
    GBeratungImPlenum1 = 'G_BERATUNG_IM_PLENUM_1',
    GZuleitungAnBkamt = 'G_ZULEITUNG_AN_BKAMT',
    GGegenaeusserungDerBregZurStellungnahmeDesBundesrates = 'G_GEGENAEUSSERUNG_DER_BREG_ZUR_STELLUNGNAHME_DES_BUNDESRATES',
    GZuleitungAnBundestag = 'G_ZULEITUNG_AN_BUNDESTAG',
    GBefassungBundestag = 'G_BEFASSUNG_BUNDESTAG',
    GErsteLesung = 'G_ERSTE_LESUNG',
    GUeberweisungAnAusschuss = 'G_UEBERWEISUNG_AN_AUSSCHUSS',
    GBefassungImAusschuss = 'G_BEFASSUNG_IM_AUSSCHUSS',
    GGgfAnhoerungen = 'G_GGF_ANHOERUNGEN',
    GGgfEntwurfVonFormulierungsvorschlaegenBeiAenderungswuenschen = 'G_GGF_ENTWURF_VON_FORMULIERUNGSVORSCHLAEGEN_BEI_AENDERUNGSWUENSCHEN',
    GAbschlussDerAusschussbefassungDurchBeschlussempfehlungen = 'G_ABSCHLUSS_DER_AUSSCHUSSBEFASSUNG_DURCH_BESCHLUSSEMPFEHLUNGEN',
    GZweiteLesung = 'G_ZWEITE_LESUNG',
    GDritteLesung = 'G_DRITTE_LESUNG',
    GWeiterleitungAnBundesrat = 'G_WEITERLEITUNG_AN_BUNDESRAT',
    GZweiteBefassungBundesrat = 'G_ZWEITE_BEFASSUNG_BUNDESRAT',
    GAnnahmeUndInterneVerteilungGesetzbeschluss = 'G_ANNAHME_UND_INTERNE_VERTEILUNG_GESETZBESCHLUSS',
    GAusschussverfahren2 = 'G_AUSSCHUSSVERFAHREN_2',
    GBeratungImPlenum2 = 'G_BERATUNG_IM_PLENUM_2',
    GVerteilung = 'G_VERTEILUNG',
    GErstellungDerUrschrift = 'G_ERSTELLUNG_DER_URSCHRIFT',
    GVeranlassungDerUrschriftDesGesetzesBeiDerSchriftleitungDesBundesgesetzblattes = 'G_VERANLASSUNG_DER_URSCHRIFT_DES_GESETZES_BEI_DER_SCHRIFTLEITUNG_DES_BUNDESGESETZBLATTES',
    GGgfBereinigungVonDruckfehlernOderOffensichtlichenUnrichtigkeitenImBerichtigungsverfahren = 'G_GGF_BEREINIGUNG_VON_DRUCKFEHLERN_ODER_OFFENSICHTLICHEN_UNRICHTIGKEITEN_IM_BERICHTIGUNGSVERFAHREN',
    GGegenzeichnungDurchBkUndMitgliederDerBreg = 'G_GEGENZEICHNUNG_DURCH_BK_UND_MITGLIEDER_DER_BREG',
    GAusfertigungDurchBpr = 'G_AUSFERTIGUNG_DURCH_BPR',
    GVerkuendung = 'G_VERKUENDUNG',
    GStandardfristBisZumInkrafttreten = 'G_STANDARDFRIST_BIS_ZUM_INKRAFTTRETEN',
    GInkrafttretenDesGesetzes = 'G_INKRAFTTRETEN_DES_GESETZES',
    RvVorphase = 'RV_VORPHASE',
    RvKonzeptionelleUeberlegungen = 'RV_KONZEPTIONELLE_UEBERLEGUNGEN',
    RvPruefungDesAnlassesDesTaetigwerdens = 'RV_PRUEFUNG_DES_ANLASSES_DES_TAETIGWERDENS',
    RvPruefungDerPolitischenInhaltlichenUndZeitlichenRahmenbedingungen = 'RV_PRUEFUNG_DER_POLITISCHEN_INHALTLICHEN_UND_ZEITLICHEN_RAHMENBEDINGUNGEN',
    RvPruefungVonFolgenInklErfuellungsaufwand = 'RV_PRUEFUNG_VON_FOLGEN_INKL_ERFUELLUNGSAUFWAND',
    RvErstellungDesReferentenentwurfs = 'RV_ERSTELLUNG_DES_REFERENTENENTWURFS',
    RvHausabstimmung = 'RV_HAUSABSTIMMUNG',
    RvBeteiligungOrganisatorischUndFachlichBetroffenerReferate = 'RV_BETEILIGUNG_ORGANISATORISCH_UND_FACHLICH_BETROFFENER_REFERATE',
    RvEroerterungUndUmsetzungDerAenderungswuensche1 = 'RV_EROERTERUNG_UND_UMSETZUNG_DER_AENDERUNGSWUENSCHE_1',
    RvBefassungHausleitung = 'RV_BEFASSUNG_HAUSLEITUNG',
    RvVersandDesHausentwurfsAnHausleitung = 'RV_VERSAND_DES_HAUSENTWURFS_AN_HAUSLEITUNG',
    RvGgfVorabunterrichtungDerKoalitionsfraktionen = 'RV_GGF_VORABUNTERRICHTUNG_DER_KOALITIONSFRAKTIONEN',
    RvRessortabstimmungUndWeitereBeteiligungen = 'RV_RESSORTABSTIMMUNG_UND_WEITERE_BETEILIGUNGEN',
    RvRechtzeitigeBeteiligungDerBetroffenenInstitutionen = 'RV_RECHTZEITIGE_BETEILIGUNG_DER_BETROFFENEN_INSTITUTIONEN',
    RvBeachtungDerVorhabenplanungDerBundesregierung = 'RV_BEACHTUNG_DER_VORHABENPLANUNG_DER_BUNDESREGIERUNG',
    RvBeteiligungDerLaenderDerKommunalenSpitzenverbaendeDerFachkreise = 'RV_BETEILIGUNG_DER_LAENDER_DER_KOMMUNALEN_SPITZENVERBAENDE_DER_FACHKREISE',
    RvKenntnisgabeDesEntwurfsAnDieGeschaeftsstellenDerFraktionenDesDeutschenBundestagesUndDesBundesrates = 'RV_KENNTNISGABE_DES_ENTWURFS_AN_DIE_GESCHAEFTSSTELLEN_DER_FRAKTIONEN_DES_DEUTSCHEN_BUNDESTAGES_UND_DES_BUNDESRATES',
    RvEroerterungUndUmsetzungDerAenderungswuensche2 = 'RV_EROERTERUNG_UND_UMSETZUNG_DER_AENDERUNGSWUENSCHE_2',
    RvKabinettvorlage = 'RV_KABINETTVORLAGE',
    RvVorbereitungDerKabinettvorlage = 'RV_VORBEREITUNG_DER_KABINETTVORLAGE',
    RvVorlageDerNotwendigenDokumenteAufDienstwegAnHausleitung = 'RV_VORLAGE_DER_NOTWENDIGEN_DOKUMENTE_AUF_DIENSTWEG_AN_HAUSLEITUNG',
    RvUebersendungDerKabinettvorlageAnDenChefbk = 'RV_UEBERSENDUNG_DER_KABINETTVORLAGE_AN_DEN_CHEFBK',
    RvPruefungDerKabinettvorlageDurchBkamtUndAndereRessort = 'RV_PRUEFUNG_DER_KABINETTVORLAGE_DURCH_BKAMT_UND_ANDERE_RESSORT',
    RvKabinettbeschluss = 'RV_KABINETTBESCHLUSS',
    RvZuleitungAnBundesratDurchBkamtOderChefbk = 'RV_ZULEITUNG_AN_BUNDESRAT_DURCH_BKAMT_ODER_CHEFBK',
    RvBefassungBundesrat = 'RV_BEFASSUNG_BUNDESRAT',
    RvAnnahmeUndZuweisung = 'RV_ANNAHME_UND_ZUWEISUNG',
    RvAusschussverfahren = 'RV_AUSSCHUSSVERFAHREN',
    RvBeratungImPlenum = 'RV_BERATUNG_IM_PLENUM',
    RvZuleitungAnBkamt = 'RV_ZULEITUNG_AN_BKAMT',
    RvSpeziellePhaseBeiMassgabebeschluessenDesBundesrates = 'RV_SPEZIELLE_PHASE_BEI_MASSGABEBESCHLUESSEN_DES_BUNDESRATES',
    RvHerstellungDerUrschrift = 'RV_HERSTELLUNG_DER_URSCHRIFT',
    RvZeichnungen = 'RV_ZEICHNUNGEN',
    RvVeranlassungDerUrschriftDesGesetzesBeiDerSchriftleitungDesBundesgesetzblattesOderDesBundesanzeigers = 'RV_VERANLASSUNG_DER_URSCHRIFT_DES_GESETZES_BEI_DER_SCHRIFTLEITUNG_DES_BUNDESGESETZBLATTES_ODER_DES_BUNDESANZEIGERS',
    RvGgfBereinigungVonDruckfehlernOderOffensichtlichenUnrichtigkeitenImBerichtigungsverfahren = 'RV_GGF_BEREINIGUNG_VON_DRUCKFEHLERN_ODER_OFFENSICHTLICHEN_UNRICHTIGKEITEN_IM_BERICHTIGUNGSVERFAHREN',
    RvVerkuendungDerRechtsverordnung = 'RV_VERKUENDUNG_DER_RECHTSVERORDNUNG',
    RvStandardfristBisZumInkrafttreten = 'RV_STANDARDFRIST_BIS_ZUM_INKRAFTTRETEN',
    RvInkrafttretenDerRechtsverordnung = 'RV_INKRAFTTRETEN_DER_RECHTSVERORDNUNG',
    VvVorphase = 'VV_VORPHASE',
    VvKonzeptionelleUeberlegungen = 'VV_KONZEPTIONELLE_UEBERLEGUNGEN',
    VvNotwendigkeitspruefung = 'VV_NOTWENDIGKEITSPRUEFUNG',
    VvPruefungDerRahmenbedingungen = 'VV_PRUEFUNG_DER_RAHMENBEDINGUNGEN',
    VvEinbindungDerHausleitung = 'VV_EINBINDUNG_DER_HAUSLEITUNG',
    VvEntscheidungDerHausleitung1 = 'VV_ENTSCHEIDUNG_DER_HAUSLEITUNG_1',
    VvPruefungDerReferatsmaterialienUndSonstigerMaterialien = 'VV_PRUEFUNG_DER_REFERATSMATERIALIEN_UND_SONSTIGER_MATERIALIEN',
    VvErarbeitungDesEntwurfDesReferats = 'VV_ERARBEITUNG_DES_ENTWURF_DES_REFERATS',
    VvHausabstimmung = 'VV_HAUSABSTIMMUNG',
    VvBeteiligungOrganisatorischUndFachlichBetroffenerReferate = 'VV_BETEILIGUNG_ORGANISATORISCH_UND_FACHLICH_BETROFFENER_REFERATE',
    VvPruefungSowieGgfEroerterungUndUmsetzungDerAenderungswuensche = 'VV_PRUEFUNG_SOWIE_GGF_EROERTERUNG_UND_UMSETZUNG_DER_AENDERUNGSWUENSCHE',
    VvErstellungEntwurfDesHauses = 'VV_ERSTELLUNG_ENTWURF_DES_HAUSES',
    VvRessortabstimmungUndWeitereBeteiligungen = 'VV_RESSORTABSTIMMUNG_UND_WEITERE_BETEILIGUNGEN',
    VvRechtzeitigeBeteiligungDerBetroffenenInstitutionen = 'VV_RECHTZEITIGE_BETEILIGUNG_DER_BETROFFENEN_INSTITUTIONEN',
    VvBeteiligungDerLaenderDerKommunalenSpitzenverbaendeDerFachkreiseUndVerbaende = 'VV_BETEILIGUNG_DER_LAENDER_DER_KOMMUNALEN_SPITZENVERBAENDE_DER_FACHKREISE_UND_VERBAENDE',
    VvPruefungGgfEroerterungUndUmsetzungDerAenderungswuensche = 'VV_PRUEFUNG_GGF_EROERTERUNG_UND_UMSETZUNG_DER_AENDERUNGSWUENSCHE',
    VvEntscheidungDerHausleitung2 = 'VV_ENTSCHEIDUNG_DER_HAUSLEITUNG_2',
    VvErstellungUeberarbeiteterEntwurfDesHauses = 'VV_ERSTELLUNG_UEBERARBEITETER_ENTWURF_DES_HAUSES',
    VvSchlussabstimmungMitDenRessorts = 'VV_SCHLUSSABSTIMMUNG_MIT_DEN_RESSORTS',
    VvEinarbeitungDerAenderungswuenscheDerRessorts = 'VV_EINARBEITUNG_DER_AENDERUNGSWUENSCHE_DER_RESSORTS',
    VvEntscheidungDerHausleitung = 'VV_ENTSCHEIDUNG_DER_HAUSLEITUNG',
    VvKabinettvorlage = 'VV_KABINETTVORLAGE',
    VvHausinterneVorbereitungDerKabinettvorlage = 'VV_HAUSINTERNE_VORBEREITUNG_DER_KABINETTVORLAGE',
    VvVorlageDerNotwendigenDokumenteAufDienstwegAnHausleitung = 'VV_VORLAGE_DER_NOTWENDIGEN_DOKUMENTE_AUF_DIENSTWEG_AN_HAUSLEITUNG',
    VvUebersendungDerKabinettvorlageAnDenChefbk = 'VV_UEBERSENDUNG_DER_KABINETTVORLAGE_AN_DEN_CHEFBK',
    VvPruefungDerKabinettvorlageDurchBkamtUndAndereRessort = 'VV_PRUEFUNG_DER_KABINETTVORLAGE_DURCH_BKAMT_UND_ANDERE_RESSORT',
    VvKabinettbeschluss = 'VV_KABINETTBESCHLUSS',
    VvZuleitungAnBundesratDurchBkamt = 'VV_ZULEITUNG_AN_BUNDESRAT_DURCH_BKAMT',
    VvBefassungBundesrat = 'VV_BEFASSUNG_BUNDESRAT',
    VvAnnahmeZuweisung = 'VV_ANNAHME_ZUWEISUNG',
    VvAusschussverfahren = 'VV_AUSSCHUSSVERFAHREN',
    VvBeratungImPlenum = 'VV_BERATUNG_IM_PLENUM',
    VvZuleitungAnBkamt = 'VV_ZULEITUNG_AN_BKAMT',
    VvErlassBekanntmachungDurchAllgemeineVeroeffentlichungImGmblBundesanzeiger = 'VV_ERLASS_BEKANNTMACHUNG_DURCH_ALLGEMEINE_VEROEFFENTLICHUNG_IM_GMBL_BUNDESANZEIGER',
    RvAnnahmeUndInterneVerteilungEntwurf = 'RV_ANNAHME_UND_INTERNE_VERTEILUNG_ENTWURF',
    RvBeratungUndBeschlussImPlenum = 'RV_BERATUNG_UND_BESCHLUSS_IM_PLENUM',
    RvAusfertigungUndVorbereitungDerVerkuendungDerRechtsverordnung = 'RV_AUSFERTIGUNG_UND_VORBEREITUNG_DER_VERKUENDUNG_DER_RECHTSVERORDNUNG',
    RvUebersendungAnDieSchriftleitungDesBundesgesetzblattesOderDesBundesanzeigers = 'RV_UEBERSENDUNG_AN_DIE_SCHRIFTLEITUNG_DES_BUNDESGESETZBLATTES_ODER_DES_BUNDESANZEIGERS',
    VvZuweisungDerVorlageAnDieFachausschuesseDesBundesratesUndFestlegungDesFederfuehrendenAusschusses = 'VV_ZUWEISUNG_DER_VORLAGE_AN_DIE_FACHAUSSCHUESSE_DES_BUNDESRATES_UND_FESTLEGUNG_DES_FEDERFUEHRENDEN_AUSSCHUSSES',
    VvBeratungUndBeschlussDesBundesratsplenums = 'VV_BERATUNG_UND_BESCHLUSS_DES_BUNDESRATSPLENUMS'
}

